| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Status Error Codes
NAND Interface

Negative values indicate errors (NAND has specific codes in addition to common Status Error Codes). More...

## Macros

#define | ARM_NAND_ERROR_ECC (ARM_DRIVER_ERROR_SPECIFIC - 1)
| ECC generation/correction failed.

## Description

Negative values indicate errors (NAND has specific codes in addition to common Status Error Codes).

The NAND driver has additional status error codes that are listed below. Note that the NAND driver also returns the common Status Error Codes.

## Macro Definition Documentation

#define ARM_NAND_ERROR_ECC (ARM_DRIVER_ERROR_SPECIFIC - 1)

ECC generation/correction failed.

ECC generation or correction failed during ARM_NAND_ReadData, ARM_NAND_WriteData or ARM_NAND_ExecuteSequence.